apiVersion: v1
items:
- apiVersion: kubevirt.io/v1
  kind: VirtualMachineInstance
  metadata:
    annotations:
      kubevirt.io/cluster-preference-name: windows.11
      kubevirt.io/latest-observed-api-version: v1
      kubevirt.io/storage-observed-api-version: v1
      kubevirt.io/vm-generation: "3"
    creationTimestamp: "2024-05-06T11:49:24Z"
    finalizers:
    - kubevirt.io/virtualMachineControllerFinalize
    - foregroundDeleteVirtualMachine
    generation: 2
    labels:
      kubevirt.io/domain: rhel-vm-with-windows-11-1714996163-5850706
      kubevirt.io/vm: rhel-vm-with-windows-11-1714996163-5850706
    name: rhel-vm-with-windows-11-1714996163-5850706
    namespace: instance-types-test-common-vm-preference
    ownerReferences:
    - apiVersion: kubevirt.io/v1
      blockOwnerDeletion: true
      controller: true
      kind: VirtualMachine
      name: rhel-vm-with-windows-11-1714996163-5850706
      uid: d927abcb-e2d7-4871-892d-0d3e8455264d
    resourceVersion: "4673390"
    uid: f68c972d-5b6d-4c5c-938d-15028d4a12ab
  spec:
    architecture: amd64
    domain:
      clock:
        timer:
          hpet:
            present: false
          hyperv:
            present: true
          pit:
            present: true
            tickPolicy: delay
          rtc:
            present: true
            tickPolicy: catchup
        utc: {}
      cpu:
        model: host-model
        sockets: 2
      devices:
        autoattachInputDevice: true
        disks:
        - disk:
            bus: virtio
          name: containerdisk
        - disk:
            bus: virtio
          name: cloudinitdisk
        inputs:
        - bus: usb
          name: default-0
          type: tablet
        interfaces:
        - masquerade: {}
          model: e1000e
          name: default
        rng: {}
        tpm:
          persistent: true
      features:
        acpi:
          enabled: true
        apic:
          enabled: true
        hyperv:
          frequencies:
            enabled: true
          ipi:
            enabled: true
          reenlightenment:
            enabled: true
          relaxed:
            enabled: true
          reset:
            enabled: true
          runtime:
            enabled: true
          spinlocks:
            enabled: true
            spinlocks: 8191
          synic:
            enabled: true
          synictimer:
            direct:
              enabled: true
            enabled: true
          tlbflush:
            enabled: true
          vapic:
            enabled: true
          vpindex:
            enabled: true
        smm:
          enabled: true
      firmware:
        bootloader:
          efi:
            secureBoot: true
        uuid: 23038517-f5d1-5a71-b54c-3c43948eaae7
      machine:
        type: pc-q35-rhel9.2.0
      resources:
        requests:
          memory: 1536Mi
    evictionStrategy: LiveMigrate
    networks:
    - name: default
      pod: {}
    terminationGracePeriodSeconds: 3600
    volumes:
    - containerDisk:
        image: registry.redhat.io/rhel9/rhel-guest-image
        imagePullPolicy: Always
      name: containerdisk
    - cloudInitNoCloud:
        userData: |-
          #cloud-config
          chpasswd:
            expire: false
          password: password
          user: fedora
          ssh_pwauth: true

          ssh_authorized_keys:
           [ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCj47ubVnxR16JU7ZfDli3N5QVBAwJBRh2xMryyjk5dtfugo5JIPGB2cyXTqEDdzuRmI+Vkb/A5duJyBRlA+9RndGGmhhMnj8and3wu5/cEb7DkF6ZJ25QV4LQx3K/i57LStUHXRTvruHOZ2nCuVXWqi7wSvz5YcvEv7O8pNF5uGmqHlShBdxQxcjurXACZ1YY0YDJDr3AJai1KF9zehVJODuSbrnOYpThVWGjFuFAnNxbtuZ8EOSougN2aYTf2qr/KFGDHtewIkzZmP6cjzKO5bN3pVbXxmb2Gces/BYHntY4MXBTUqwsmsCRC5SAz14bEP/vsLtrNhjq9vCS+BjMT root@exec1.rdocloud]
          runcmd: ['grep ssh-rsa /etc/crypto-policies/back-ends/opensshserver.config || sudo update-crypto-policies --set LEGACY || true', "sudo sed -i 's/^#\\?PasswordAuthentication no/PasswordAuthentication yes/g' /etc/ssh/sshd_config", 'sudo systemctl enable sshd', 'sudo systemctl restart sshd']
      name: cloudinitdisk
  status:
    conditions:
    - lastProbeTime: "2024-05-06T11:49:24Z"
      lastTransitionTime: "2024-05-06T11:49:24Z"
      message: virt-launcher pod has not yet been scheduled
      reason: PodNotExists
      status: "False"
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: "2024-05-06T11:49:24Z"
      message: backend VM storage requires a backend storage class defined in the
        custom resource
      reason: FailedBackendStorageCreate
      status: "False"
      type: Synchronized
    currentCPUTopology:
      cores: 1
      sockets: 2
      threads: 1
    guestOSInfo: {}
    phase: Pending
    phaseTransitionTimestamps:
    - phase: Pending
      phaseTransitionTimestamp: "2024-05-06T11:49:24Z"
    runtimeUser: 107
    topologyHints:
      tscFrequency: 2194842000
    virtualMachineRevisionName: revision-start-vm-d927abcb-e2d7-4871-892d-0d3e8455264d-2
kind: List
metadata:
  resourceVersion: ""
